libgimpprint API Reference: dither struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# dither Struct Reference

`#include <dither-impl.h>`

## Data Fields
int | src_width
int | dst_width
int | spread
int | spread_mask
int | stpi_dither_type
int | adaptive_limit
int | x_aspect
int | y_aspect
double | transition
int * | offset0_table
int * | offset1_table
int | d_cutoff
int | last_line_was_empty
int | ptr_offset
int | error_rows
int | finalized
stp_dither_matrix_impl_t | dither_matrix
stp_dither_matrix_impl_t | transition_matrix
stpi_dither_channel_t * | channel
unsigned | channel_count
unsigned | total_channel_count
unsigned * | channel_index
unsigned * | subchannel_count
stpi_ditherfunc_t * | ditherfunc
void * | aux_data
void(* | aux_freefunc )(struct dither *)

## Field Documentation

int dither::adaptive_limit

| Definition at line 143 of file dither-impl.h. Referenced by print_color(), stp_dither_init(), stp_dither_set_adaptive_limit(), and stpi_dither_finalize_ranges().

void* dither::aux_data

| Definition at line 171 of file dither-impl.h. Referenced by et_initializer(), et_setup(), free_eventone_data(), stpi_dither_et(), and stpi_dither_ut().

void(* dither::aux_freefunc)(struct dither *)

| Referenced by et_setup(), and stpi_dither_free().

stpi_dither_channel_t* dither::channel

| Definition at line 164 of file dither-impl.h. Referenced by insert_subchannel(), stp_dither_add_channel(), stp_dither_get_channel(), and stpi_dither_free().

unsigned dither::channel_count

| Definition at line 165 of file dither-impl.h. Referenced by insert_channel(), insert_subchannel(), stp_dither_add_channel(), stp_dither_init(), and stpi_dither_translate_channel().

unsigned* dither::channel_index

| Definition at line 167 of file dither-impl.h. Referenced by insert_channel(), insert_subchannel(), stpi_dither_free(), and stpi_dither_translate_channel().

int dither::d_cutoff

| Definition at line 153 of file dither-impl.h. Referenced by print_color(), and stp_dither_init().

stp_dither_matrix_impl_t dither::dither_matrix

| Definition at line 162 of file dither-impl.h. Referenced by et_setup(), initialize_channel(), postinit_matrix(), preinit_matrix(), stp_dither_internal(), stp_dither_set_iterated_matrix(), stp_dither_set_matrix(), stp_dither_set_matrix_from_dither_array(), stp_dither_set_transition(), stpi_dither_et(), stpi_dither_finalize(), stpi_dither_free(), and stpi_dither_ut().

stpi_ditherfunc_t* dither::ditherfunc

| Definition at line 170 of file dither-impl.h. Referenced by stp_dither_init(), and stp_dither_internal().

int dither::dst_width

| Definition at line 134 of file dither-impl.h. Referenced by et_initializer(), et_setup(), shared_ed_initializer(), stp_dither_init(), stp_dither_internal(), stpi_dither_ed(), stpi_dither_et(), stpi_dither_get_errline(), stpi_dither_ordered(), stpi_dither_predithered(), stpi_dither_ut(), and stpi_dither_very_fast().

int dither::error_rows

| Definition at line 157 of file dither-impl.h. Referenced by shared_ed_initializer(), stp_dither_init(), stpi_dither_ed(), and stpi_dither_get_errline().

int dither::finalized

| Definition at line 159 of file dither-impl.h. Referenced by stp_dither_init(), and stpi_dither_finalize().

int dither::last_line_was_empty

| Definition at line 155 of file dither-impl.h. Referenced by et_initializer(), and shared_ed_initializer().

int* dither::offset0_table

| Definition at line 150 of file dither-impl.h. Referenced by stp_dither_init(), stp_dither_set_ink_spread(), stpi_dither_free(), and update_dither().

int* dither::offset1_table

| Definition at line 151 of file dither-impl.h. Referenced by stp_dither_init(), stp_dither_set_ink_spread(), stpi_dither_free(), and update_dither().

int dither::ptr_offset

| Definition at line 156 of file dither-impl.h. Referenced by print_color(), print_color_ordered(), print_color_very_fast(), print_ink(), shared_ed_initializer(), stp_dither_internal(), stpi_dither_et(), stpi_dither_ordered(), and stpi_dither_ut().

int dither::spread

| Definition at line 136 of file dither-impl.h. Referenced by stp_dither_set_ink_spread(), and update_dither().

int dither::spread_mask

| Definition at line 137 of file dither-impl.h. Referenced by stp_dither_set_ink_spread(), and update_dither().

int dither::src_width

| Definition at line 133 of file dither-impl.h. Referenced by stp_dither_init(), stpi_dither_ed(), stpi_dither_et(), stpi_dither_ordered(), stpi_dither_predithered(), stpi_dither_ut(), and stpi_dither_very_fast().

int dither::stpi_dither_type

| Definition at line 141 of file dither-impl.h. Referenced by et_setup(), stp_dither_init(), stpi_dither_ed(), stpi_dither_et(), stpi_dither_ut(), and stpi_set_dither_function().

unsigned* dither::subchannel_count

| Definition at line 168 of file dither-impl.h. Referenced by insert_channel(), insert_subchannel(), stp_dither_add_channel(), stpi_dither_free(), and stpi_dither_translate_channel().

unsigned dither::total_channel_count

| Definition at line 166 of file dither-impl.h. Referenced by insert_subchannel().

double dither::transition

| Definition at line 148 of file dither-impl.h. Referenced by postinit_matrix(), stp_dither_init(), and stp_dither_set_transition().

stp_dither_matrix_impl_t dither::transition_matrix

| Definition at line 163 of file dither-impl.h. Referenced by et_setup(), initialize_channel(), stp_dither_internal(), stp_dither_set_transition(), and stpi_dither_free().

int dither::x_aspect

| Definition at line 145 of file dither-impl.h. Referenced by et_setup(), stp_dither_init(), and stpi_set_dither_function().

int dither::y_aspect

| Definition at line 146 of file dither-impl.h. Referenced by et_setup(), stp_dither_init(), and stpi_set_dither_function().

The documentation for this struct was generated from the following file:

- src/main/dither-impl.h